## widelands 19+repack

=== CMakeLists.txt ===
project (widelands)

cmake_minimum_required (VERSION 2.8.7)

include("${CMAKE_SOURCE_DIR}/cmake/WlFunctions.cmake")

option(OPTION_USE_GLBINDING "Use glbinding instead of GLEW" OFF)
option(OPTION_GLEW_STATIC "Use static GLEW Library" OFF)
option(OPTION_BUILD_WEBSITE_TOOLS "Build website-related tools" ON)
option(OPTION_BUILD_TRANSLATIONS "Build translations" ON)

if (CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
  message(FATAL_ERROR "Build directory and source directory must not be the same.")
endif (CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)

# Define the directory structure for installation - will be hardcoded in WL bin
# (through config.h). If not specified, we are going to use the directory where
# the executable is in. Also on Linux.
# Packagers (or people using make install) have to set this variable to an absolute path.
wl_set_if_unset(WL_INSTALL_BASEDIR ".")

# Define the directory structure for installation of the data files - will be hardcoded
# in WL bin (through config.h). If not specified, we are going to use the "data" directory
# below the directory where the executable is in. Also on Linux.
# Packagers (or people using make install) have to set this variable to an absolute path.
wl_set_if_unset(WL_INSTALL_DATADIR "./data")

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.7)
    message(FATAL_ERROR "Widelands needs GCC >= 4.7 to compile.")
  endif()
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.2)
    message(FATAL_ERROR "Clang version must be at least 3.2!")
  endif()
else()
  message(WARNING "You are using an unsupported compiler! Supported are Clang and GCC.")
endif()

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)

if (WIN32)
  set (Boost_USE_STATIC_LIBS  ON)
else()
  set (Boost_USE_STATIC_LIBS  OFF)
endif()
set (Boost_USE_MULTITHREADED ON)
set (Boost_DETAILED_FAILURE_MSG ON)
find_package(Boost 1.48
  COMPONENTS
    unit_test_framework
    regex
  REQUIRED)

find_package (PythonInterp REQUIRED)

find_package(Gettext REQUIRED)
find_package(OpenGL REQUIRED)
find_package(PNG REQUIRED)
find_package(SDL2 REQUIRED)
find_package(SDL2_image REQUIRED)
find_package(SDL2_mixer REQUIRED)
find_package(SDL2_net REQUIRED)
find_package(SDL2_ttf REQUIRED)
find_package(ZLIB REQUIRED)
find_package(ICU REQUIRED)
if(OPTION_USE_GLBINDING)
  find_package(glbinding REQUIRED)
else()
  find_package(GLEW REQUIRED)
endif()

if (APPLE OR WIN32 OR
    CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR
    CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  if (NOT CMAKE_SYSTEM_NAME MATCHES "kFreeBSD")
    find_package(intl REQUIRED)
  endif()
endif()

# TODO(sirver): One day, this should be enabled. Then we have no more cycles in our dependencies....
# set_property(GLOBAL PROPERTY GLOBAL_DEPENDS_NO_CYCLES ON)

if (NOT CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")
  find_path(FILE_WL_RELEASE "WL_RELEASE" ${CMAKE_CURRENT_SOURCE_DIR})
  if(${FILE_WL_RELEASE} STREQUAL "FILE_WL_RELEASE-NOTFOUND")
    set(CMAKE_BUILD_TYPE Debug)
  else()
    set(CMAKE_BUILD_TYPE Release)
  endif()
endif (NOT CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(WL_DEBUG_FLAGS "-g -DDEBUG")
elseif(CMAKE_BUILD_TYPE STREQUAL "Release")
  set(WL_OPTIMIZE_FLAGS "-O3")
  set(WL_DEBUG_FLAGS "-DNDEBUG -DNOPARACHUTE")
elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  set(WL_OPTIMIZE_FLAGS "-O3")
  set(WL_DEBUG_FLAGS "-g -DNDEBUG -DNOPARACHUTE")
else()
  message(FATAL_ERROR "Unknown CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
endif()

wl_add_flag(WL_GENERIC_CXX_FLAGS "-std=c++11")

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Weverything")

  # Disabled warnings that are overly verbose right now or just do not make sense.
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-c++98-compat")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-c++98-compat-pedantic")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-conversion")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-exit-time-destructors")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-global-constructors")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-padded")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-sign-conversion")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-missing-noreturn")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-implicit-fallthrough")

  # TODO(sirver): weak-vtables should be enabled, but leads to lot of errors right now.
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-weak-vtables")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-unreachable-code")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-documentation")

  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=deprecated")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=non-pod-varargs")

  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Qunused-arguments")
else()
  # Assuming GCC 4.7 or higher.
  if(WIN32)
    # This is needed for getenv().
    wl_add_flag(WL_GENERIC_CXX_FLAGS "-std=gnu++11")
  endif()

  if (NOT (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8))
     # Because of: https://svn.boost.org/trac/boost/ticket/9240.
     wl_add_flag(WL_GENERIC_CXX_FLAGS "-fext-numeric-literals")
  endif()

  if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
    # g++-4.7 complains otherwise about <:: not being a valid token in
    # unique_ptr<::Something>. Since this is common style in c++ though, we'd
    # rather have it swallow this frog for us.
    wl_add_flag(WL_GENERIC_CXX_FLAGS "-fpermissive")
  endif()

  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wall")
  if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
    wl_add_flag(WL_COMPILE_DIAGNOSTICS "-pedantic")
  else()
    wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wpedantic")
  endif()
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wdeprecated-declarations")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wextra")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wformat")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wformat-nonliteral")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wformat-security")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wformat-y2k")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Winit-self")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Winvalid-pch")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wlogical-op")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wmissing-include-dirs")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wno-undef")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wold-style-cast")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Woverlength-strings")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wpacked")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wpointer-arith")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wredundant-decls")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wsign-promo")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wsync-nand")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wtrampolines")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wundef")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wunused")
  wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Wunused-macros")
endif()

# Turn some warnings into errors.
wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=format-security")
wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=return-type")
wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=shadow")
wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=uninitialized")

IF (WIN32)
  add_definitions(-DMINGW_HAS_SECURE_API)
  if (CMAKE_SIZEOF_VOID_P EQUAL 4)
    set (CMAKE_EXE_LINKER_FLAGS "-Wl,--large-address-aware" CACHE STRING "Set by widelands CMakeLists.txt" FORCE)
    message (STATUS "Enabled large address awareness on mingw32")
  else (CMAKE_SIZEOF_VOID_P EQUAL 4)
    message (STATUS "Detected mingw32-w64")
  endif (CMAKE_SIZEOF_VOID_P EQUAL 4)
endif (WIN32)

# on BSD this must be explicitly linked
if (CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  # Not needed on Debian GNU/kFreeBSD..
  if (NOT CMAKE_SYSTEM_NAME MATCHES "kFreeBSD")
    find_library(EXECINFO_LIBRARY NAMES execinfo)
  endif (NOT CMAKE_SYSTEM_NAME MATCHES "kFreeBSD")

  # OpenBSD needs the X11 include directory in order to find GL/glu.h
  if (CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
    find_package(X11 REQUIRED)
    include_directories(${X11_INCLUDE_DIR})
  endif ()
endif (CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "OpenBSD")

if (NOT DEFINED WL_VERSION)
  add_custom_target (
    BzrRevision ALL
    COMMAND ${CMAKE_COMMAND} -DWL_INSTALL_BASEDIR=${WL_INSTALL_BASEDIR} -DWL_INSTALL_DATADIR=${WL_INSTALL_DATADIR} -DPYTHON_EXECUTABLE=${PYTHON_EXECUTABLE} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DBINARY_DIR=${CMAKE_CURRENT_BINARY_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/BzrRevision.cmake
  )

  # Detect version now
  execute_process (
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/detect_revision.py
    OUTPUT_VARIABLE WL_VERSION
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  file (WRITE ${CMAKE_CURRENT_BINARY_DIR}/VERSION "${WL_VERSION}")
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/build_info.cc.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/build_info.cc)
  message (STATUS "Version of Widelands Build is ${WL_VERSION}(${CMAKE_BUILD_TYPE})")
else (NOT DEFINED WL_VERSION)
  add_custom_target (
    InputRevision ALL
    COMMAND ${CMAKE_COMMAND -DWL_INSTALL_BASEDIR=${WL_INSTALL_BASEDIR} -DWL_VERSION=${WL_VERSION} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DBINARY_DIR=${CMAKE_CURRENT_BINARY_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/InputRevision.cmake
  )
endif (NOT DEFINED WL_VERSION)

# Enable testing.
include(CTest)
enable_testing()

# Run a test after a normal compile. This magic is needed as 'make test' will
# not rebuild tests:
# http://stackoverflow.com/questions/733475/cmake-ctest-make-test-doesnt-build-tests
add_custom_target(_run_all_tests ALL
  COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
  DEPENDS wl_tests
)

install (
  FILES ${CMAKE_CURRENT_BINARY_DIR}/VERSION
  DESTINATION ${WL_INSTALL_BASEDIR}
  CONFIGURATIONS Debug;Release
  COMPONENT CoreVersionFile
)

# Installation.
add_subdirectory(doc)
if(OPTION_BUILD_TRANSLATIONS)
  add_subdirectory(po)
endif(OPTION_BUILD_TRANSLATIONS)
add_subdirectory(src)

# install files to the correct locations here
install(
  DIRECTORY
    data/campaigns
    data/i18n
    data/images
    data/scripting
    data/shaders
    data/tribes
    data/txts
    data/world
  DESTINATION ${WL_INSTALL_DATADIR}
  CONFIGURATIONS Debug;Release
  COMPONENT CoreDataFiles
)

install(
  DIRECTORY
    data/maps
  DESTINATION ${WL_INSTALL_DATADIR}
  CONFIGURATIONS Debug;Release
  COMPONENT MapFiles
)

install(
  DIRECTORY
    data/music
    data/sound
  DESTINATION ${WL_INSTALL_DATADIR}
  CONFIGURATIONS Debug;Release
  COMPONENT MusicFiles
)

install(
  FILES
    COPYING
    CREDITS
    ChangeLog
  DESTINATION ${WL_INSTALL_BASEDIR}
  CONFIGURATIONS Debug;Release
  COMPONENT CoreLicenseFiles
)

install(
  DIRECTORY
    doc
  DESTINATION ${WL_INSTALL_BASEDIR}
  CONFIGURATIONS Debug
  COMPONENT DocFiles
  PATTERN "CMakeLists.txt" EXCLUDE
)

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${WL_INSTALL_DATADIR}/locale)

install(
  DIRECTORY
    ${CMAKE_CURRENT_BINARY_DIR}/locale/
  DESTINATION ${WL_INSTALL_DATADIR}/locale
  CONFIGURATIONS Debug;Release
  COMPONENT CoreLanguageFiles
)

=== src/CMakeLists.txt ===
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/build_info.cc.cmake ${CMAKE_CURRENT_BINARY_DIR}/build_info.cc)

# Catchall target to codecheck all files.
add_custom_target(codecheck)
add_custom_target(run_build_deps
  COMMAND
    ${PYTHON_EXECUTABLE}
    ${CMAKE_SOURCE_DIR}/utils/build_deps.py
  COMMENT "Checking CMakeLists.txt files."
)
add_dependencies(codecheck run_build_deps)

# A target that depends on all unit tests as 'make test' will not rebuild
# tests:
# http://stackoverflow.com/questions/733475/cmake-ctest-make-test-doesnt-build-tests
add_custom_target(wl_tests)

#include the cmake version dependend macro _include_directories
if (CMAKE_VERSION VERSION_LESS 2.8.11)
  include (${CMAKE_SOURCE_DIR}/cmake/IncludeDirectoriesOld.cmake)
else (CMAKE_VERSION VERSION_LESS 2.8.11)
  include (${CMAKE_SOURCE_DIR}/cmake/IncludeDirectories.cmake)
endif (CMAKE_VERSION VERSION_LESS 2.8.11)

wl_library(build_info
  SRCS
    build_info.cc
    build_info.h
)

if (WIN32)
	configure_file (${CMAKE_CURRENT_SOURCE_DIR}/../utils/win32/widelands.rc.cmake ${CMAKE_CURRENT_BINARY_DIR}/widelands.rc)
	message (STATUS "Configured windows resource file")
	set(WIN32_ICON_O ${CMAKE_CURRENT_BINARY_DIR}/wl_icon.o)
	ADD_CUSTOM_COMMAND(OUTPUT ${WIN32_ICON_O}
		COMMAND ${MINGW_PREFIX}windres
			-o${WIN32_ICON_O}
			-i${CMAKE_CURRENT_BINARY_DIR}/widelands.rc
  )
  wl_binary(widelands
    WIN32
    SRCS
      main.cc
      ${WIN32_ICON_O}
    USES_SDL2
    DEPENDS
      base_log
      base_exceptions
      widelands_ball_of_mud
      build_info
  )
else()
  wl_binary(widelands
    SRCS
      main.cc
    USES_SDL2
    DEPENDS
      base_log
      base_exceptions
      widelands_ball_of_mud
      build_info
  )
endif()

add_subdirectory(ai)
add_subdirectory(base)
add_subdirectory(chat)
add_subdirectory(economy)
add_subdirectory(editor)
add_subdirectory(game_io)
add_subdirectory(graphic)
add_subdirectory(io)
add_subdirectory(logic)
add_subdirectory(map_io)
add_subdirectory(network)
add_subdirectory(notifications)
add_subdirectory(profile)
add_subdirectory(random)
add_subdirectory(scripting)
add_subdirectory(sound)
add_subdirectory(third_party)
add_subdirectory(ui_basic)
add_subdirectory(ui_fsmenu)
if (OPTION_BUILD_WEBSITE_TOOLS)
  add_subdirectory(website)
endif (OPTION_BUILD_WEBSITE_TOOLS)
add_subdirectory(wui)

# TODO(unknown): Ideally widelands_ball_of_mud shouldn't exist, everything should be in a
# library.
wl_library(widelands_ball_of_mud
  SRCS
    wlapplication.cc
    wlapplication.h
    wlapplication_messages.cc
    wlapplication_messages.h
  USES_SDL2
  USES_SDL2_IMAGE
  DEPENDS
    base_exceptions
    base_geometry
    base_i18n
    base_log
    base_time_string
    build_info
    editor
    graphic
    graphic_text
    graphic_text_layout
    helper
    io_filesystem
    logic
    logic_game_controller
    logic_game_settings
    map_io_map_loader
    network
    profile
    sound
    ui_basic
    ui_fsmenu
    wui
)

# TODO(sirver): Split into libs with useful names.
wl_library(helper
  SRCS
    helper.cc
    helper.h
  USES_SDL2
  DEPENDS
    base_exceptions
)

if (CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  target_link_libraries(widelands_ball_of_mud ${EXECINFO_LIBRARY})
endif (CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "OpenBSD")

if (WIN32)
  target_link_libraries(widelands_ball_of_mud wsock32)
endif (WIN32)

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Widelands.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Widelands.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Widelands"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Widelands"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== src/ai/CMakeLists.txt ===
wl_library(ai
  SRCS
    ai_help_structs.cc
    ai_help_structs.h
    ai_hints.cc
    ai_hints.h
    computer_player.cc
    computer_player.h
    defaultai.cc
    defaultai.h
  DEPENDS
    base_exceptions
    base_i18n
    base_log
    base_macros
    base_time_string
    economy
    logic
    scripting_lua_table
)

=== src/base/CMakeLists.txt ===
wl_library(base_macros
  SRCS
    macros.h
    macros.cc
)

wl_library(base_log
  SRCS
    log.cc
    log.h
  USES_SDL2
  DEPENDS
    base_macros
    base_exceptions
)

wl_library(base_exceptions
  SRCS
    exceptions.cc
    warning.h
    wexception.h
  DEPENDS
    base_macros
)

wl_library(base_i18n
  SRCS
    i18n.h
    i18n.cc
    utf8.h
  USES_INTL
  DEPENDS
    base_log
    base_macros
    third_party_gettext
)

wl_library(base_geometry
  SRCS
    point.h
    point.cc
    rect.h
)

wl_library(base_md5
  SRCS
    md5.cc
    md5.h
  DEPENDS
    base_macros
)


wl_library(base_scoped_timer
  SRCS
    scoped_timer.h
    scoped_timer.cc
  USES_SDL2
  DEPENDS
    base_log
    base_macros
)

wl_library(base_time_string
  SRCS
    time_string.h
    time_string.cc
  DEPENDS
    base_i18n
)

=== src/chat/CMakeLists.txt ===
wl_library(chat
  SRCS
    chat.h
    chat.cc
  DEPENDS
    notifications
)

=== src/economy/CMakeLists.txt ===
wl_library(economy
  SRCS
    cmd_call_economy_balance.cc
    cmd_call_economy_balance.h
    economy.cc
    economy.h
    economy_data_packet.cc
    economy_data_packet.h
    expedition_bootstrap.cc
    expedition_bootstrap.h
    flag.cc
    flag.h
    fleet.cc
    fleet.h
    idleworkersupply.cc
    idleworkersupply.h
    iroute.h
    itransport_cost_calculator.h
    portdock.cc
    portdock.h
    request.cc
    request.h
    road.cc
    road.h
    route.cc
    route.h
    routeastar.cc
    routeastar.h
    router.cc
    router.h
    routing_node.h
    shippingitem.cc
    shippingitem.h
    supply.h
    supply_list.cc
    supply_list.h
    trackptr.h
    transfer.cc
    transfer.h
    ware_instance.cc
    ware_instance.h
    warehousesupply.h
    wares_queue.cc
    wares_queue.h
  DEPENDS
    base_exceptions
    base_log
    base_macros
    io_fileread
    logic
    logic_widelands_geometry
    map_io
    ui_basic
    wui
)
add_subdirectory(test)

=== src/editor/CMakeLists.txt ===
wl_library(editor
  SRCS
    editorinteractive.cc
    editorinteractive.h
    map_generator.cc
    map_generator.h
    tools/action_args.h
    tools/decrease_height_tool.cc
    tools/decrease_height_tool.h
    tools/decrease_resources_tool.cc
    tools/decrease_resources_tool.h
    tools/delete_bob_tool.cc
    tools/delete_bob_tool.h
    tools/delete_immovable_tool.cc
    tools/delete_immovable_tool.h
    tools/draw_tool.cc
    tools/draw_tool.h
    tools/history.cc
    tools/history.h
    tools/increase_height_tool.cc
    tools/increase_height_tool.h
    tools/increase_resources_tool.cc
    tools/increase_resources_tool.h
    tools/info_tool.cc
    tools/info_tool.h
    tools/make_infrastructure_tool.cc
    tools/make_infrastructure_tool.h
    tools/multi_select.h
    tools/noise_height_tool.cc
    tools/noise_height_tool.h
    tools/place_bob_tool.cc
    tools/place_bob_tool.h
    tools/place_immovable_tool.cc
    tools/place_immovable_tool.h
    tools/set_height_tool.cc
    tools/set_height_tool.h
    tools/set_origin_tool.cc
    tools/set_origin_tool.h
    tools/set_port_space_tool.cc
    tools/set_port_space_tool.h
    tools/set_resources_tool.cc
    tools/set_resources_tool.h
    tools/set_starting_pos_tool.cc
    tools/set_starting_pos_tool.h
    tools/set_terrain_tool.cc
    tools/set_terrain_tool.h
    tools/tool.h
    tools/tool_action.h
    ui_menus/categorized_item_selection_menu.h
    ui_menus/help.cc
    ui_menus/help.h
    ui_menus/main_menu.cc
    ui_menus/main_menu.h
    ui_menus/main_menu_load_map.cc
    ui_menus/main_menu_load_map.h
    ui_menus/main_menu_load_or_save_map.cc
    ui_menus/main_menu_load_or_save_map.h
    ui_menus/main_menu_map_options.cc
    ui_menus/main_menu_map_options.h
    ui_menus/main_menu_new_map.cc
    ui_menus/main_menu_new_map.h
    ui_menus/main_menu_random_map.cc
    ui_menus/main_menu_random_map.h
    ui_menus/main_menu_save_map.cc
    ui_menus/main_menu_save_map.h
    ui_menus/main_menu_save_map_make_directory.cc
    ui_menus/main_menu_save_map_make_directory.h
    ui_menus/player_menu.cc
    ui_menus/player_menu.h
    ui_menus/tool_change_height_options_menu.cc
    ui_menus/tool_change_height_options_menu.h
    ui_menus/tool_change_resources_options_menu.cc
    ui_menus/tool_change_resources_options_menu.h
    ui_menus/tool_menu.cc
    ui_menus/tool_menu.h
    ui_menus/tool_noise_height_options_menu.cc
    ui_menus/tool_noise_height_options_menu.h
    ui_menus/tool_options_menu.cc
    ui_menus/tool_options_menu.h
    ui_menus/tool_place_bob_options_menu.cc
    ui_menus/tool_place_bob_options_menu.h
    ui_menus/tool_place_immovable_options_menu.cc
    ui_menus/tool_place_immovable_options_menu.h
    ui_menus/tool_set_terrain_options_menu.cc
    ui_menus/tool_set_terrain_options_menu.h
    ui_menus/toolsize_menu.cc
    ui_menus/toolsize_menu.h
  USES_SDL2
  DEPENDS
    base_exceptions
    base_i18n
    base_log
    base_macros
    base_scoped_timer
    graphic
    graphic_surface
    io_filesystem
    logic
    logic_widelands_geometry
    map_io
    map_io_map_loader
    notifications
    random
    scripting_coroutine
    scripting_lua_interface
    scripting_lua_table
    ui_basic
    widelands_ball_of_mud
    wui
    wui_common
    wui_field_overlay_manager
    wui_mapview_pixelfunctions
)

=== src/game_io/CMakeLists.txt ===
wl_library(game_io
  SRCS
    game_cmd_queue_packet.cc
    game_cmd_queue_packet.h
    game_data_packet.h
    game_class_packet.cc
    game_class_packet.h
    game_interactive_player_packet.cc
    game_interactive_player_packet.h
    game_player_ai_persistent_packet.cc
    game_player_ai_persistent_packet.h    
    game_loader.cc
    game_loader.h
    game_map_packet.cc
    game_map_packet.h
    game_player_economies_packet.cc
    game_player_economies_packet.h
    game_player_info_packet.cc
    game_player_info_packet.h
    game_preload_packet.cc
    game_preload_packet.h
    game_saver.cc
    game_saver.h
  DEPENDS
    base_exceptions
    base_log
    base_macros
    base_scoped_timer
    base_time_string
    build_info
    economy
    graphic
    graphic_minimap_renderer
    io_fileread
    io_filesystem
    logic
    logic_game_controller
    map_io
    map_io_map_loader
    profile
    scripting_lua_interface
    scripting_lua_table
    wui
    wui_mapview_pixelfunctions
)

=== src/graphic/CMakeLists.txt ===
add_subdirectory(text)

# TODO(sirver): Separate this directory into a base directory and one
# that is Widelands aware (can include logic stuff).

wl_library(graphic_build_texture_atlas
  SRCS
    build_texture_atlas.h
    build_texture_atlas.cc
  DEPENDS
    graphic
    graphic_image_io
    graphic_surface
    graphic_texture_atlas
    io_filesystem
)

wl_library(graphic_color
  SRCS
    color.h
    color.cc
  USES_SDL2
)

wl_library(graphic_render_queue
  SRCS
    render_queue.cc
    render_queue.h
  DEPENDS
    base_exceptions
    base_geometry
    base_macros
    graphic_color
    graphic_terrain_programs
    graphic_draw_programs
    logic
)

wl_library(graphic_text_layout
  SRCS
    text_layout.cc
    text_layout.h
    text_constants.h
  DEPENDS
    base_i18n
    graphic
    graphic_color
    graphic_surface
    graphic_text
)

wl_library(graphic_image_io
  SRCS
    image_io.h
    image_io.cc
  USES_PNG
  USES_SDL2
  USES_SDL2_IMAGE
  DEPENDS
    base_exceptions
    base_log
    graphic_surface
    io_fileread
    io_filesystem
    io_stream
)

wl_library(graphic_image_cache
  SRCS
    image_cache.cc
    image_cache.h
  USES_SDL2
  DEPENDS
    base_macros
    graphic_image_io
    graphic_surface
    graphic_texture_atlas
)

wl_library(graphic_sdl_utils
  SRCS
    sdl_utils.h
    sdl_utils.cc
  USES_SDL2
)

wl_library(graphic_gl_utils
  SRCS
    gl/blit_data.h
    gl/coordinate_conversion.h
    gl/initialize.cc
    gl/initialize.h
    gl/system_headers.h
    gl/utils.cc
    gl/utils.h
  USES_SDL2
  USES_OPENGL
  DEPENDS
    base_exceptions
    base_geometry
    base_log
    base_macros
    io_fileread
    io_filesystem
)

wl_library(graphic_terrain_programs
  SRCS
    gl/fields_to_draw.h
    gl/road_program.cc
    gl/road_program.h
    gl/terrain_program.cc
    gl/terrain_program.h
    gl/dither_program.cc
    gl/dither_program.h
  DEPENDS
    base_exceptions
    base_geometry
    base_log
    base_macros
    graphic
    graphic_gl_utils
    graphic_image_io
    graphic_surface
    io_filesystem
    logic
)

wl_library(graphic_draw_programs
  SRCS
    blend_mode.h
    blit_mode.h
    gl/blit_program.cc
    gl/blit_program.h
    gl/draw_line_program.cc
    gl/draw_line_program.h
    gl/fill_rect_program.cc
    gl/fill_rect_program.h
  DEPENDS
    base_exceptions
    base_macros
    base_geometry
    graphic_gl_utils
    base_log
    graphic_color
)

wl_library(graphic_surface
  SRCS
    image.h
    screen.cc
    screen.h
    surface.cc
    surface.h
    texture.cc
    texture.h
    texture_cache.cc
    texture_cache.h
  USES_OPENGL
  USES_SDL2
  DEPENDS
    base_exceptions
    base_geometry
    base_log
    base_macros
    graphic
    graphic_color
    graphic_draw_programs
    graphic_gl_utils
    graphic_render_queue
    graphic_sdl_utils
)

wl_library(graphic_texture_atlas
  SRCS
    texture_atlas.h
    texture_atlas.cc
  DEPENDS
    base_exceptions
    base_macros
    graphic_surface
)

wl_library(graphic_game_renderer
  SRCS
    game_renderer.cc
    game_renderer.h
  DEPENDS
    base_geometry
    base_macros
    graphic
    graphic_gl_utils
    graphic_render_queue
    graphic_surface
    graphic_terrain_programs
    logic
    wui
    wui_edge_overlay_manager
    wui_field_overlay_manager
    wui_mapview_pixelfunctions
)

wl_library(graphic_minimap_renderer
  SRCS
    minimap_renderer.cc
    minimap_renderer.h
  DEPENDS
    base_geometry
    base_macros
    economy
    graphic
    graphic_image_io
    graphic_surface
    logic
    wui_mapview_pixelfunctions
)

wl_library(graphic
  SRCS
    align.cc
    align.h
    animation.cc
    animation.h
    default_resolution.h
    diranimations.h
    font.cc
    font.h
    font_handler.cc
    font_handler.h
    font_handler1.cc
    font_handler1.h
    graphic.cc
    graphic.h
    rendertarget.cc
    rendertarget.h
    richtext.cc
    richtext.h
    text_parser.cc
    text_parser.h
    wordwrap.cc
    wordwrap.h
  USES_OPENGL
  USES_SDL2
  USES_SDL2_TTF
  DEPENDS
    base_exceptions
    base_geometry
    base_i18n
    base_log
    base_macros
    build_info
    graphic_build_texture_atlas
    graphic_color
    graphic_draw_programs
    graphic_gl_utils
    graphic_image_cache
    graphic_image_io
    graphic_render_queue
    graphic_surface
    graphic_text
    graphic_text_layout
    helper
    io_fileread
    io_filesystem
    io_stream
    logic
    notifications
    scripting_lua_table
    sound
)

=== src/io/CMakeLists.txt ===
add_subdirectory(filesystem)

wl_library(io_stream
  SRCS
    machdep.h
    streamread.cc
    streamread.h
    streamwrite.cc
    streamwrite.h
  USES_SDL2
  DEPENDS
    base_exceptions
    base_macros
)

wl_library(io_fileread
  SRCS
    fileread.cc
    fileread.h
    filewrite.cc
    filewrite.h
  DEPENDS
    io_filesystem
    io_stream
)

wl_library(io_filesystem
  SRCS
    filesystem/disk_filesystem.cc
    filesystem/disk_filesystem.h
    filesystem/filesystem.cc
    filesystem/filesystem.h
    filesystem/filesystem_exceptions.h
    filesystem/layered_filesystem.cc
    filesystem/layered_filesystem.h
    filesystem/zip_exceptions.h
    filesystem/zip_filesystem.cc
    filesystem/zip_filesystem.h
  DEPENDS
    base_exceptions
    base_log
    base_macros
    io_fileread
    io_stream
    third_party_minizip
)

=== src/logic/CMakeLists.txt ===
wl_library(logic_widelands_geometry
  SRCS
    widelands_geometry.cc
    widelands_geometry.h
)

wl_library(logic_game_settings
  SRCS
    game_settings.h
    single_player_game_settings_provider.cc
    single_player_game_settings_provider.h
  DEPENDS
    ai
    base_exceptions
    io_filesystem
    logic
    scripting_lua_interface
    scripting_lua_table
)

wl_library(logic_game_controller
  SRCS
    game_controller.h
    replay_game_controller.h
    replay_game_controller.cc
    single_player_game_controller.h
    single_player_game_controller.cc
  DEPENDS
    ai
    logic
    profile
    ui_basic
    widelands_ball_of_mud
    wui
)

wl_library(logic_campaign_visibility
  SRCS
    campaign_visibility.cc
    campaign_visibility.h
  DEPENDS
    base_exceptions
    io_filesystem
    profile
)

wl_library(logic
  SRCS
    backtrace.cc
    backtrace.h
    cmd_calculate_statistics.cc
    cmd_calculate_statistics.h
    cmd_delete_message.cc
    cmd_delete_message.h
    cmd_incorporate.cc
    cmd_incorporate.h
    cmd_luacoroutine.cc
    cmd_luacoroutine.h
    cmd_luascript.cc
    cmd_luascript.h
    cmd_queue.cc
    cmd_queue.h
    constants.h
    cookie_priority_queue.h
    description_maintainer.h
    editor_game_base.cc
    editor_game_base.h
    field.cc
    field.h
    findbob.cc
    findbob.h
    findimmovable.cc
    findimmovable.h
    findnode.cc
    findnode.h
    game_data_error.cc
    game_data_error.h
    game.cc
    game.h
    map_revision.cc
    map_revision.h
    map.cc
    map.h
    mapastar.cc
    mapastar.h
    mapdifferenceregion.cc
    mapdifferenceregion.h
    mapfringeregion.cc
    mapfringeregion.h
    maphollowregion.cc
    maphollowregion.h
    mapregion.h
    maptriangleregion.cc
    maptriangleregion.h
    message_id.h
    message_queue.h
    message.h
    nodecaps.h
    objective.h
    path.cc
    path.h
    pathfield.cc
    pathfield.h
    player_area.h
    player.cc
    player.h
    playercommand.cc
    playercommand.h
    playersmanager.cc
    playersmanager.h
    queue_cmd_factory.cc
    queue_cmd_factory.h
    queue_cmd_ids.h
    replay.cc
    replay.h
    roadtype.h
    save_handler.cc
    save_handler.h
    widelands_geometry_io.cc
    widelands_geometry_io.h
    widelands.h
    map_objects/attackable.h
    map_objects/bob.cc
    map_objects/bob.h
    map_objects/buildcost.cc
    map_objects/buildcost.h
    map_objects/checkstep.cc
    map_objects/checkstep.h
    map_objects/immovable_program.h
    map_objects/immovable.cc
    map_objects/immovable.h
    map_objects/map_object.cc
    map_objects/map_object.h
    map_objects/terrain_affinity.cc
    map_objects/terrain_affinity.h
    map_objects/walkingdir.cc
    map_objects/walkingdir.h
    map_objects/tribes/battle.cc
    map_objects/tribes/battle.h
    map_objects/tribes/bill_of_materials.h
    map_objects/tribes/building.cc
    map_objects/tribes/building.h
    map_objects/tribes/carrier.cc
    map_objects/tribes/carrier.h
    map_objects/tribes/constructionsite.cc
    map_objects/tribes/constructionsite.h
    map_objects/tribes/dismantlesite.cc
    map_objects/tribes/dismantlesite.h
    map_objects/tribes/militarysite.cc
    map_objects/tribes/militarysite.h
    map_objects/tribes/partially_finished_building.cc
    map_objects/tribes/partially_finished_building.h
    map_objects/tribes/production_program.cc
    map_objects/tribes/production_program.h
    map_objects/tribes/productionsite.cc
    map_objects/tribes/productionsite.h
    map_objects/tribes/program_result.h
    map_objects/tribes/requirements.cc
    map_objects/tribes/requirements.h
    map_objects/tribes/road_textures.cc
    map_objects/tribes/road_textures.h
    map_objects/tribes/ship.cc
    map_objects/tribes/ship.h
    map_objects/tribes/soldier.cc
    map_objects/tribes/soldier.h
    map_objects/tribes/soldiercontrol.h
    map_objects/tribes/training_attribute.h
    map_objects/tribes/trainingsite.cc
    map_objects/tribes/trainingsite.h
    map_objects/tribes/tribe_basic_info.cc
    map_objects/tribes/tribe_basic_info.h
    map_objects/tribes/tribe_descr.cc
    map_objects/tribes/tribe_descr.h
    map_objects/tribes/tribes.cc
    map_objects/tribes/tribes.h
    map_objects/tribes/ware_descr.cc
    map_objects/tribes/ware_descr.h
    map_objects/tribes/warehouse.cc
    map_objects/tribes/warehouse.h
    map_objects/tribes/warelist.cc
    map_objects/tribes/warelist.h
    map_objects/tribes/wareworker.h
    map_objects/tribes/workarea_info.h
    map_objects/tribes/worker_descr.cc
    map_objects/tribes/worker_descr.h
    map_objects/tribes/worker_program.cc
    map_objects/tribes/worker_program.h
    map_objects/tribes/worker.cc
    map_objects/tribes/worker.h
    map_objects/world/critter_program.h
    map_objects/world/critter.cc
    map_objects/world/critter.h
    map_objects/world/editor_category.cc
    map_objects/world/editor_category.h
    map_objects/world/map_gen.cc
    map_objects/world/map_gen.h
    map_objects/world/resource_description.cc
    map_objects/world/resource_description.h
    map_objects/world/terrain_description.cc
    map_objects/world/terrain_description.h
    map_objects/world/world.cc
    map_objects/world/world.h
  # TODO(sirver): Uses SDL2 only on WIN32 for a dirty hack.
  USES_SDL2
  DEPENDS
    ai
    base_exceptions
    base_geometry
    base_i18n
    base_log
    base_macros
    base_md5
    base_scoped_timer
    base_time_string
    build_info
    economy
    editor
    game_io
    graphic
    graphic_color
    graphic_image_io
    graphic_surface
    graphic_text_layout
    helper
    io_fileread
    io_filesystem
    io_stream
    logic_game_controller
    logic_game_settings
    logic_widelands_geometry
    map_io
    map_io_map_loader
    network
    notifications
    random
    scripting_coroutine
    scripting_logic
    scripting_lua_interface
    scripting_lua_table
    sound
    ui_basic
    widelands_ball_of_mud
    wui
    wui_mapview_pixelfunctions
)

=== debian/changelog ===
widelands (1:19+repack-4ubuntu0.18.04.1) bionic; urgency=medium

  * Use hicolor theme icon for .desktop. This allows Widelands to
    show in the Ubuntu Software app. (LP: #1789023)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Sep 2018 20:23:00 -0400

widelands (1:19+repack-4build4) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:56:11 +0000

widelands (1:19+repack-4build3) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:31:14 +0000

widelands (1:19+repack-4build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 19:49:24 +0000

widelands (1:19+repack-4build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:28:39 +0000

=== debian/control ===
Source: widelands
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
  Martin Quinson <mquinson@debian.org>,
  Enrico Tassi <gareuselesinge@debian.org>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10),
  cmake,
  doxygen,
  libminizip-dev,
  libboost-dev,
  libboost-regex-dev,
  libboost-test-dev,
  libglew1.6-dev | libglew-dev,
  libpng-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-net-dev,
  libsdl2-ttf-dev,
  python,
  zlib1g-dev
Vcs-Git: https://anonscm.debian.org/git/pkg-games/widelands.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-games/widelands.git
#Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/widelands/ <-- Location of old packaging
Homepage: http://www.widelands.org/

Package: widelands
Architecture: any
Depends: widelands-data (= ${source:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
Description: fantasy real-time strategy game
 Widelands is a strategy game aiming for gameplay similar to Settlers II by
 BlueByte.
 .
 In this game, you start out on a small piece of land with nothing more than
 a few of useful resources. Using those, you can build yourself an empire
 with many thousands of inhabitants. On your way towards this goal, you will
 have to build up an economic infrastructure, explore the lands around you
 and face enemies who are trying to rule the world just like you do.

Package: widelands-data
Architecture: all
Depends: fonts-freefont-ttf,
  fonts-freefont-ttf,
  fonts-dejavu-core,
  fonts-dejavu-extra,
  fonts-hosny-amiri,
  fonts-lklug-sinhala,
  fonts-nakula,
  fonts-wqy-microhei,
  ${misc:Depends}
Description: fantasy real-time strategy game (data files)
 This package contains the graphics and levels for Widelands.
 .
 Widelands is a strategy game aiming for gameplay similar to Settlers II by
 BlueByte.
 .
 In this game, you start out on a small piece of land with nothing more than
 a few of useful resources. Using those, you can build yourself an empire
 with many thousands of inhabitants. On your way towards this goal, you will
 have to build up an economic infrastructure, explore the lands around you
 and face enemies who are trying to rule the world just like you do.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package widelands
#
version=4
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/^1://" \
https://launchpad.net/widelands/+download \
https://launchpad.net/widelands/.*/widelands-(?:b[[:alpha:]]*)?(\d[^\s/]*)-src\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
